<?php
/*
=====================================================
 Модуль создал: REZER (http://rezer.net)
=====================================================
 Файл: addcomments.php
=====================================================
 Данный код защищен авторскими правами
=====================================================
 Назначение: ajax добавление комментария
=====================================================
*/

//-------------------------------------------------====
//	Инициализация
//-------------------------------------------------====

define( "ROOT_DIR", "../../.." );
define( "ENGINE_DIR", "../.." );

$OptAjax = array(
	"tpl"	=> true,
);

require_once( ENGINE_DIR."/ajax/board/OptAjax.php" );

//-------------------------------------------------====
//	Принятие и проверка данных
//-------------------------------------------------====

$id = intval( $_POST['board_id'] );
$_POST['comments'] = CharsetConvert( $_POST['comments'] );
$_POST['name'] = CharsetConvert( $_POST['name'] );
$_POST['mail'] = CharsetConvert( $_POST['mail'] );

if( !$id ) echoReturn( "Приняты не все данные, попробуйте снова." );
if( $Board->Config['com_on'] != "yes" ) echoReturn( "Комментарии для данного объявления отключены" );
if( !$is_logged && $Board->Config['com_anonim'] != "yes" ) echoReturn( "Вы не можете добавлять комментарии" );

//-------------------------------------------------====
//	Проверка объявления
//-------------------------------------------------====

$result = $db->query( "SELECT `id`,`allow_comm`,`title`,`alt_name`,`category`,`author_id` FROM ".PREFIX."_board_post WHERE `id`='{$id}' AND `approve`='1' LIMIT 1" );
if( $db->num_rows( $result ) > 0 )
	{
		$row = $db->get_row( $result );
		if( $row['allow_comm'] != 1 ) echoReturn( "Комментарии для данного объявления отключены" );
	}
		else
	{
		echoReturn( "Объявление не найдено" );
	}

//-------------------------------------------------====
//	Добавление комментария
//-------------------------------------------------====

require_once( ENGINE_DIR."/modules/board/addcomments.php" );

//-------------------------------------------------====
//	Вывод комментария
//-------------------------------------------------====

if( empty( $error ) )
	{
		require_once( ENGINE_DIR."/modules/board/tree.comments.class.php" );
		
		//	Выкручиваемся от лишних запросов для поиска комментария по его ID, который только что написал пользователь.
		//	То есть просто берём самый последний комментарий и выводим его пользователю.
		
		$TreeCom = new tree_comments();
		
		$comments_query = "SELECT ".PREFIX."_board_comments.id, board_id, del, author_id, answer, author, text, ip, date, ".PREFIX."_board_comments.email as com_email, ".USERPREFIX."_users.email, news_num, comm_num, user_group, reg_date, signature, foto, fullname, land, icq, xfields FROM ".PREFIX."_board_comments LEFT JOIN ".USERPREFIX."_users ON ".PREFIX."_board_comments.author_id=".USERPREFIX."_users.user_id WHERE ".PREFIX."_board_comments.board_id = '{$id}' ORDER BY id DESC LIMIT 0,1";
		
		$TreeCom->CreateDB( "", "", $comments_query );	
		$TreeCom->AllowAdd = true;
		if( $Board->Config['com_allocation'] == "yes" ) $TreeCom->AllocationGroups = true;
		if( $Board->Config['com_alternation'] == "yes" ) $TreeCom->Alternation = true;
		$TreeCom->NoCom['template'] = "board/default/comments/info.tpl";
		$TreeCom->ComDIR = "board/default/comments";
		
		$allow_group_com_moder = explode( ",", $Board->Config['com_groups_moder'] );
		if( in_array( $member_id['user_group'], $allow_group_com_moder ) ) $TreeCom->AllowEdit = true;
		
		if( $_POST['answer_id'] )
			$TreeCom->start( 3 );
		else
			$TreeCom->start( 0 );
		
		$TreeCom->apocalypse();
		
		$tpl->result['content'] = str_replace( "{THEME}", $THEME, $tpl->result['board_comments'] );
		echo $tpl->result['content'];
	}
		else
	{
		echoReturn( $error );
	}

//-------------------------------------------------====
//	Завершаем работу
//-------------------------------------------------====

$db->close();

?>